Knowledge Retrieval - Retrieve

知識庫會從支援存放區擷取相關資料。

POST {endpoint}/knowledgebases('{knowledgeBaseName}')/retrieve?api-version=2026-05-01-preview

URI 參數

名稱 位於 必要 類型 Description
endpoint
path True

string (uri)

搜尋服務的端點 URL。

knowledgeBaseName
path True

string

知識庫名稱。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

要求標頭

名稱 必要 類型 Description
Accept

Accept

接受標頭。

x-ms-query-source-authorization

string

識別正在執行查詢的使用者的權杖。 此權杖可用來對文件強制執行安全性限制。

x-ms-client-request-id

string (uuid)

要求不透明、全域唯一、用戶端產生的字串標識碼。

要求本文

名稱 類型 Description
includeActivity

boolean

表示擷取結果應包含活動資訊。

intents KnowledgeRetrievalIntent[]:

KnowledgeRetrievalSemanticIntent[]

在沒有模型查詢規劃的情況下執行的預期查詢清單。

knowledgeSourceParams KnowledgeSourceParams[]:

知識來源的執行階段參數清單。

maxOutputDocuments

integer (int32)

限制輸出中最大文件數量。

maxOutputSize

integer (int32)

限制輸出中內容的大小上限。

maxOutputSizeInTokens

integer (int32)

限制輸出中內容的大小上限。

maxRuntimeInSeconds

integer (int32)

執行時間上限 (以秒為單位)。

messages

KnowledgeBaseMessage[]

聊天訊息樣式輸入的清單。

outputMode

KnowledgeRetrievalOutputMode

此擷取的輸出組態。

retrievalReasoningEffort KnowledgeRetrievalReasoningEffort:

檢索推理努力的配置。

回應

名稱 類型 Description
200 OK

KnowledgeBaseRetrievalResponse

成功取回。

Other Status Codes

KnowledgeBaseRetrievalResponse

部分取回反應。

Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

api-key

類型: apiKey
位於: header

OAuth2Auth

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/v2.0/authorize

範圍

名稱 Description
https://search.azure.com/.default

範例

KnowledgeBaseRetrieve
KnowledgeBaseRetrieveWithIntents

KnowledgeBaseRetrieve

範例要求

POST https://previewexampleservice.search.windows.net/knowledgebases('base-preview-test')/retrieve?api-version=2026-05-01-preview



{
  "messages": [
    {
      "role": "user",
      "content": [
        {
          "text": "hello world",
          "type": "text"
        }
      ]
    }
  ],
  "maxRuntimeInSeconds": 60,
  "maxOutputSize": 100000,
  "maxOutputDocuments": 50,
  "retrievalReasoningEffort": {
    "kind": "low"
  },
  "includeActivity": true,
  "outputMode": "answerSynthesis",
  "knowledgeSourceParams": [
    {
      "filterAddOn": "foo eq bar",
      "knowledgeSourceName": "ks-preview-test",
      "includeReferences": true,
      "includeReferenceSourceData": true,
      "alwaysQuerySource": false,
      "failOnError": false,
      "rerankerThreshold": 2.1,
      "kind": "searchIndex"
    }
  ]
}

範例回覆

{
  "response": [
    {
      "content": [
        {
          "type": "text",
          "text": "[{...}]"
        }
      ]
    }
  ],
  "activity": [
    {
      "type": "modelQueryPlanning",
      "id": 0,
      "inputTokens": 11,
      "outputTokens": 22,
      "elapsedMs": 10
    },
    {
      "type": "searchIndex",
      "id": 1,
      "knowledgeSourceName": "ks-preview-test",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 2,
      "elapsedMs": 1234,
      "warning": "6 additional documents were dropped because rerankerThreshold filtered them out during reranking. Adjust the threshold if higher recall is desired.",
      "searchIndexArguments": {
        "search": "hello world",
        "filter": "foo eq bar",
        "sourceDataFields": [
          {
            "name": "category"
          },
          {
            "name": "description"
          },
          {
            "name": "ownerId"
          },
          {
            "name": "id"
          }
        ],
        "searchFields": [],
        "semanticConfigurationName": "testconfig"
      }
    },
    {
      "type": "searchIndex",
      "id": 2,
      "knowledgeSourceName": "ks-preview-test",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 2,
      "elapsedMs": 1234,
      "searchIndexArguments": {
        "search": "hello world two",
        "filter": "foo eq bar",
        "sourceDataFields": [
          {
            "name": "category"
          },
          {
            "name": "description"
          },
          {
            "name": "ownerId"
          },
          {
            "name": "id"
          }
        ],
        "searchFields": [],
        "semanticConfigurationName": "testconfig"
      }
    },
    {
      "type": "agenticReasoning",
      "id": 3,
      "retrievalReasoningEffort": {
        "kind": "low"
      },
      "reasoningTokens": 74
    },
    {
      "type": "modelAnswerSynthesis",
      "id": 4,
      "inputTokens": 664,
      "outputTokens": 1328,
      "elapsedMs": 10
    }
  ],
  "references": [
    {
      "type": "searchIndex",
      "id": "83dd7d40",
      "activitySource": 1,
      "sourceData": {
        "id": "myDocKey1",
        "title": "high_doc",
        "content": "hello world"
      },
      "rerankerScore": 3.5,
      "docKey": "myDocKey1"
    },
    {
      "type": "searchIndex",
      "id": "83dd7d41",
      "activitySource": 1,
      "sourceData": {
        "id": "myDocKey2",
        "title": "low_doc",
        "content": "goodbye world"
      },
      "rerankerScore": 2.7,
      "docKey": "myDocKey2"
    }
  ],
  "responseSensitivityLabelInfo": {
    "displayName": "Confidential",
    "sensitivityLabelId": "00000000-0000-0000-0000-000000000001",
    "toolTip": "This content is confidential.",
    "priority": 2,
    "color": "#FF0000",
    "isEncrypted": false
  }
}
{
  "response": [
    {
      "content": [
        {
          "type": "text",
          "text": "[{...}]"
        }
      ]
    }
  ],
  "activity": [
    {
      "type": "modelQueryPlanning",
      "id": 0,
      "inputTokens": 11,
      "outputTokens": 22,
      "elapsedMs": 10
    },
    {
      "type": "searchIndex",
      "id": 1,
      "knowledgeSourceName": "ks-preview-test",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 2,
      "elapsedMs": 1234,
      "searchIndexArguments": {
        "search": "hello world",
        "filter": "foo eq bar",
        "sourceDataFields": [
          {
            "name": "category"
          },
          {
            "name": "description"
          },
          {
            "name": "ownerId"
          },
          {
            "name": "id"
          }
        ],
        "searchFields": [],
        "semanticConfigurationName": "testconfig"
      }
    },
    {
      "type": "web",
      "id": 2,
      "knowledgeSourceName": "ks-preview-web",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 10,
      "elapsedMs": 2345,
      "error": {
        "code": "403",
        "message": "The error message",
        "details": [],
        "additionalInfo": [
          {
            "type": "SomeErrorType",
            "info": {
              "someProperty": "Some value"
            }
          }
        ]
      }
    },
    {
      "type": "agenticReasoning",
      "id": 3,
      "retrievalReasoningEffort": {
        "kind": "low"
      },
      "reasoningTokens": 74
    },
    {
      "type": "modelAnswerSynthesis",
      "id": 4,
      "inputTokens": 664,
      "outputTokens": 1328,
      "elapsedMs": 10
    }
  ],
  "references": [
    {
      "type": "searchIndex",
      "id": "83dd7d40",
      "activitySource": 1,
      "sourceData": {
        "id": "myDocKey1",
        "title": "high_doc",
        "content": "hello world"
      },
      "rerankerScore": 3.5,
      "docKey": "myDocKey1"
    },
    {
      "type": "searchIndex",
      "id": "83dd7d41",
      "activitySource": 1,
      "sourceData": {
        "id": "myDocKey2",
        "title": "low_doc",
        "content": "goodbye world"
      },
      "rerankerScore": 2.7,
      "docKey": "myDocKey2"
    }
  ]
}

KnowledgeBaseRetrieveWithIntents

範例要求

POST https://previewexampleservice.search.windows.net/knowledgebases('base-preview-test')/retrieve?api-version=2026-05-01-preview



{
  "intents": [
    {
      "search": "foo",
      "type": "semantic"
    }
  ],
  "maxRuntimeInSeconds": 60,
  "maxOutputSize": 100000,
  "maxOutputDocuments": 50,
  "retrievalReasoningEffort": {
    "kind": "minimal"
  },
  "includeActivity": true,
  "outputMode": "extractiveData",
  "knowledgeSourceParams": [
    {
      "filterAddOn": "foo eq bar",
      "knowledgeSourceName": "ks-preview-test",
      "includeReferences": true,
      "includeReferenceSourceData": true,
      "alwaysQuerySource": true,
      "failOnError": true,
      "rerankerThreshold": 2.1,
      "kind": "searchIndex"
    }
  ]
}

範例回覆

{
  "response": [
    {
      "content": [
        {
          "type": "text",
          "text": "[{...}]"
        }
      ]
    }
  ],
  "activity": [
    {
      "type": "searchIndex",
      "id": 0,
      "knowledgeSourceName": "ks-preview-test",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 2,
      "elapsedMs": 1234,
      "searchIndexArguments": {
        "search": "foo",
        "filter": "foo eq bar",
        "sourceDataFields": [
          {
            "name": "category"
          },
          {
            "name": "description"
          },
          {
            "name": "ownerId"
          },
          {
            "name": "id"
          }
        ],
        "searchFields": [],
        "semanticConfigurationName": "testconfig"
      }
    },
    {
      "type": "agenticReasoning",
      "id": 1,
      "retrievalReasoningEffort": {
        "kind": "minimal"
      },
      "reasoningTokens": 37
    }
  ],
  "references": [
    {
      "type": "searchIndex",
      "id": "83dd7d40",
      "activitySource": 0,
      "sourceData": {
        "id": "myDocKey1",
        "title": "high_doc",
        "content": "hello world"
      },
      "rerankerScore": 3.5,
      "docKey": "myDocKey1"
    },
    {
      "type": "searchIndex",
      "id": "83dd7d41",
      "activitySource": 0,
      "sourceData": {
        "id": "myDocKey2",
        "title": "low_doc",
        "content": "goodbye world"
      },
      "rerankerScore": 2.7,
      "docKey": "myDocKey2"
    }
  ]
}
{
  "response": [
    {
      "content": [
        {
          "type": "text",
          "text": "[{...}]"
        }
      ]
    }
  ],
  "activity": [
    {
      "type": "searchIndex",
      "id": 0,
      "knowledgeSourceName": "ks-preview-test",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 2,
      "elapsedMs": 1234,
      "searchIndexArguments": {
        "search": "foo",
        "filter": "foo eq bar",
        "sourceDataFields": [
          {
            "name": "category"
          },
          {
            "name": "description"
          },
          {
            "name": "ownerId"
          },
          {
            "name": "id"
          }
        ],
        "searchFields": [],
        "semanticConfigurationName": "testconfig"
      }
    },
    {
      "type": "web",
      "id": 1,
      "knowledgeSourceName": "ks-preview-web",
      "queryTime": "2025-01-01T00:08:45.045Z",
      "count": 10,
      "elapsedMs": 2345,
      "error": {
        "code": "403",
        "message": "The error message",
        "details": [],
        "additionalInfo": [
          {
            "type": "SomeErrorType",
            "info": {
              "someProperty": "Some value"
            }
          }
        ]
      }
    },
    {
      "type": "agenticReasoning",
      "id": 2,
      "retrievalReasoningEffort": {
        "kind": "minimal"
      },
      "reasoningTokens": 37
    }
  ],
  "references": [
    {
      "type": "searchIndex",
      "id": "83dd7d40",
      "activitySource": 0,
      "sourceData": {
        "id": "myDocKey1",
        "title": "high_doc",
        "content": "hello world"
      },
      "rerankerScore": 3.5,
      "docKey": "myDocKey1"
    },
    {
      "type": "searchIndex",
      "id": "83dd7d41",
      "activitySource": 0,
      "sourceData": {
        "id": "myDocKey2",
        "title": "low_doc",
        "content": "goodbye world"
      },
      "rerankerScore": 2.7,
      "docKey": "myDocKey2"
    }
  ]
}

定義

名稱 Description
Accept

接受標頭。

AzureBlobKnowledgeSourceParams

指定 Azure Blob 知識來源的執行階段參數

ErrorAdditionalInfo

資源管理錯誤其他資訊。

ErrorDetail

錯誤詳細資料。

ErrorResponse

所有 Azure Resource Manager API 的常見錯誤回應,以傳回失敗作業的錯誤詳細數據。 (這也遵循 OData 錯誤回應格式。)。

FabricDataAgentKnowledgeSourceParams

指定 Fabric Data Agent 知識來源的執行時參數

FabricOntologyKnowledgeSourceParams

指定 Fabric 本體知識來源的執行時參數

FileKnowledgeSourceParams

指定檔案知識來源的執行時參數

ImageServingStatistics

關於檢索活動期間影像服務的統計數據。

IndexedOneLakeKnowledgeSourceParams

指定索引 OneLake 知識來源的執行階段參數

IndexedSharePointKnowledgeSourceParams

指定已編製索引的 SharePoint 知識來源的執行階段參數

IndexedSqlKnowledgeSourceParams

指定索引 SQL 知識來源的執行時參數

KnowledgeBaseActivityRecordType

活動紀錄的類型。

KnowledgeBaseAgenticReasoningActivityRecord

代表代理推理活動記錄。

KnowledgeBaseAzureBlobActivityArguments

代表執行 Azure Blob 擷取活動時所使用的引數。

KnowledgeBaseAzureBlobActivityRecord

代表 Azure Blob 擷取活動記錄。

KnowledgeBaseAzureBlobReference

代表 Azure Blob 儲存體檔參考。

KnowledgeBaseErrorAdditionalInfo

資源管理錯誤其他資訊。

KnowledgeBaseErrorDetail

錯誤詳情

KnowledgeBaseFabricDataAgentActivityArguments

代表 Fabric Data Agent 檢索活動所使用的參數。

KnowledgeBaseFabricDataAgentActivityRecord

代表 Fabric Data Agent 的檢索活動紀錄。

KnowledgeBaseFabricDataAgentReference

代表 Fabric Data Agent 文件參考。

KnowledgeBaseFabricOntologyActivityArguments

代表 Fabric 本體檢索活動所用的論點。

KnowledgeBaseFabricOntologyActivityRecord

代表 Fabric 本體檢索活動紀錄。

KnowledgeBaseFabricOntologyReference

代表 Fabric 本體文件的參考。

KnowledgeBaseFileActivityArguments

代表檔案擷取活動所使用的參數。

KnowledgeBaseFileActivityRecord

代表檔案檢索活動紀錄。

KnowledgeBaseFileReference

代表檔案文件參考。

KnowledgeBaseImageContent

圖片內容。

KnowledgeBaseIndexedOneLakeActivityArguments

代表索引 OneLake 檢索活動所使用的參數。

KnowledgeBaseIndexedOneLakeActivityRecord

代表一個索引的 OneLake 檢索活動紀錄。

KnowledgeBaseIndexedOneLakeReference

代表一個索引 OneLake 文件參考。

KnowledgeBaseIndexedSharePointActivityArguments

代表索引 SharePoint 檢索活動所使用的參數。

KnowledgeBaseIndexedSharePointActivityRecord

代表一個索引化的 SharePoint 檢索活動紀錄。

KnowledgeBaseIndexedSharePointReference

代表一個索引化的 SharePoint 文件參考。

KnowledgeBaseIndexedSqlActivityArguments

代表索引 SQL 檢索活動所使用的參數。

KnowledgeBaseIndexedSqlActivityRecord

代表一個索引化的 SQL 檢索活動記錄。

KnowledgeBaseIndexedSqlReference

代表一個 Azure SQL 文件參考。

KnowledgeBaseMcpServerActivityArguments

代表 MCP 伺服器擷取活動所使用的參數。

KnowledgeBaseMcpServerActivityRecord

代表 MCP 伺服器檢索活動紀錄。

KnowledgeBaseMcpServerReference

代表 MCP 伺服器文件參考。

KnowledgeBaseMessage

自然語言訊息樣式物件。

KnowledgeBaseMessageContentType

訊息內容的類型。

KnowledgeBaseMessageImageContent

影像訊息類型。

KnowledgeBaseMessageTextContent

簡訊類型。

KnowledgeBaseModelAnswerSynthesisActivityRecord

代表 LLM 答案綜合活動記錄。

KnowledgeBaseModelQueryPlanningActivityRecord

代表 LLM 查詢規劃活動記錄。

KnowledgeBaseModelWebSummarizationActivityRecord

代表一個大型語言模型(LLM)網頁摘要活動記錄。

KnowledgeBaseReferenceType

參照的類型。

KnowledgeBaseRemoteSharePointActivityArguments

代表遠端 SharePoint 檢索活動所使用的參數。

KnowledgeBaseRemoteSharePointActivityRecord

代表遠端 SharePoint 檢索活動紀錄。

KnowledgeBaseRemoteSharePointReference

代表遠端 SharePoint 文件參考。

KnowledgeBaseRetrievalRequest

擷取要求的輸入合約。

KnowledgeBaseRetrievalResponse

擷取回應的輸出合約。

KnowledgeBaseSearchIndexActivityArguments

代表執行搜尋索引擷取活動時所使用的引數。

KnowledgeBaseSearchIndexActivityRecord

代表搜尋索引擷取活動記錄。

KnowledgeBaseSearchIndexReference

代表 Azure 搜尋服務檔參考。

KnowledgeBaseWebActivityArguments

代表網頁檢索活動所用的論點。

KnowledgeBaseWebActivityRecord

代表網路檢索活動紀錄。

KnowledgeBaseWebReference

代表網頁文件參照。

KnowledgeBaseWorkIQActivityArguments

代表 WorkIQ 檢索活動所用的參數。

KnowledgeBaseWorkIQActivityRecord

代表 WorkIQ 檢索活動紀錄。

KnowledgeBaseWorkIQReference

代表 WorkIQ 文件引用。

KnowledgeRetrievalIntentType

要使用的知識庫組態類型。

KnowledgeRetrievalLowReasoningEffort

以低推理工作量運行知識檢索。

KnowledgeRetrievalMediumReasoningEffort

以中等推理努力運行知識檢索。

KnowledgeRetrievalMinimalReasoningEffort

以最少的推理工作執行知識檢索。

KnowledgeRetrievalOutputMode

此擷取的輸出組態。

KnowledgeRetrievalReasoningEffortKind

擷取期間要使用的工作量。

KnowledgeRetrievalSemanticIntent

語意查詢意圖。

KnowledgeSourceKind

知識來源的那種。

McpServerKnowledgeSourceParams

指定 MCP 伺服器知識來源的執行參數

PurviewSensitivityLabelInfo

關於套用於文件上的敏感性標籤資訊

RemoteSharePointKnowledgeSourceParams

指定遠端 SharePoint 知識來源的執行階段參數

SearchIndexFieldReference

搜尋索引的欄位參考。

SearchIndexKnowledgeSourceParams

指定搜尋索引知識來源的執行階段參數

WebKnowledgeSourceParams

指定 Web 知識來源的執行階段參數

WorkIQAttribution

WorkIQ 參考資料的歸屬資訊。

WorkIQKnowledgeSourceParams

指定 WorkIQ 知識來源的執行時參數

Accept

接受標頭。

值 Description
application/json;odata.metadata=minimal

AzureBlobKnowledgeSourceParams

指定 Azure Blob 知識來源的執行階段參數

名稱 類型 Description
alwaysQuerySource

boolean

表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。

enableImageServing

boolean

指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。

failOnError

boolean

表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。

includeReferenceSourceData

boolean

指出參照是否應該在其承載中包含擷取期間取得的結構化資料。

includeReferences

boolean

指出是否應包含從此來源擷取的資料的參考。

kind string:

azureBlob

知識來源的類型。

knowledgeSourceName

string

參數套用的索引名稱。

maxOutputDocuments

integer (int32)

限制從此知識來源回傳的文件數量。

rerankerThreshold

number (float)

所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。

ErrorAdditionalInfo

資源管理錯誤其他資訊。

名稱 類型 Description
info

其他資訊。

type

string

其他信息類型。

ErrorDetail

錯誤詳細資料。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤的其他資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳情

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

所有 Azure Resource Manager API 的常見錯誤回應,以傳回失敗作業的錯誤詳細數據。 (這也遵循 OData 錯誤回應格式。)。

名稱 類型 Description
error

ErrorDetail

error 物件。

FabricDataAgentKnowledgeSourceParams

指定 Fabric Data Agent 知識來源的執行時參數

名稱 類型 Description
alwaysQuerySource

boolean

表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。

enableImageServing

boolean

指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。

failOnError

boolean

表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。

includeReferenceSourceData

boolean

指出參照是否應該在其承載中包含擷取期間取得的結構化資料。

includeReferences

boolean

指出是否應包含從此來源擷取的資料的參考。

kind string:

fabricDataAgent

知識來源的類型。

knowledgeSourceName

string

參數套用的索引名稱。

maxOutputDocuments

integer (int32)

限制從此知識來源回傳的文件數量。

rerankerThreshold

number (float)

所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。

FabricOntologyKnowledgeSourceParams

指定 Fabric 本體知識來源的執行時參數

名稱 類型 Description
alwaysQuerySource

boolean

表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。

enableImageServing

boolean

指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。

failOnError

boolean

表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。

includeReferenceSourceData

boolean

指出參照是否應該在其承載中包含擷取期間取得的結構化資料。

includeReferences

boolean

指出是否應包含從此來源擷取的資料的參考。

kind string:

fabricOntology

知識來源的類型。

knowledgeSourceName

string

參數套用的索引名稱。

maxOutputDocuments

integer (int32)

限制從此知識來源回傳的文件數量。

rerankerThreshold

number (float)

所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。

FileKnowledgeSourceParams

指定檔案知識來源的執行時參數

名稱 類型 Description
alwaysQuerySource

boolean

表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。

enableImageServing

boolean

指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。

failOnError

boolean

表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。

includeReferenceSourceData

boolean

指出參照是否應該在其承載中包含擷取期間取得的結構化資料。

includeReferences

boolean

指出是否應包含從此來源擷取的資料的參考。

kind string:

file

知識來源的類型。

knowledgeSourceName

string

參數套用的索引名稱。

maxOutputDocuments

integer (int32)

限制從此知識來源回傳的文件數量。

rerankerThreshold

number (float)

所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。

ImageServingStatistics

關於檢索活動期間影像服務的統計數據。

名稱 類型 Description
imagesRetrieved

integer (int32)

從資產商店取得的圖片數量。

imagesSentToModel

integer (int32)

傳送到下游模型的影像數量。

totalImageSizeBytes

integer (int64)

以位元組計,傳送到模型的影像總大小。

verbalizationUsed

boolean

表示是否使用了影像口述而非直接影像傳遞。

IndexedOneLakeKnowledgeSourceParams

指定索引 OneLake 知識來源的執行階段參數

名稱 類型 Description
alwaysQuerySource

boolean

表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。

enableImageServing

boolean

指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。

failOnError

boolean

表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。

includeReferenceSourceData

boolean

指出參照是否應該在其承載中包含擷取期間取得的結構化資料。

includeReferences

boolean

指出是否應包含從此來源擷取的資料的參考。

kind string:

indexedOneLake

知識來源的類型。

knowledgeSourceName

string

參數套用的索引名稱。

maxOutputDocuments

integer (int32)

限制從此知識來源回傳的文件數量。

rerankerThreshold

number (float)

所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。

IndexedSharePointKnowledgeSourceParams

指定已編製索引的 SharePoint 知識來源的執行階段參數

名稱 類型 Description
alwaysQuerySource

boolean

表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。

enableImageServing

boolean

指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。

failOnError

boolean

表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。

includeReferenceSourceData

boolean

指出參照是否應該在其承載中包含擷取期間取得的結構化資料。

includeReferences

boolean

指出是否應包含從此來源擷取的資料的參考。

kind string:

indexedSharePoint

知識來源的類型。

knowledgeSourceName

string

參數套用的索引名稱。

maxOutputDocuments

integer (int32)

限制從此知識來源回傳的文件數量。

rerankerThreshold

number (float)

所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。

IndexedSqlKnowledgeSourceParams

指定索引 SQL 知識來源的執行時參數

名稱 類型 Description
alwaysQuerySource

boolean

表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。

enableImageServing

boolean

指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。

failOnError

boolean

表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。

includeReferenceSourceData

boolean

指出參照是否應該在其承載中包含擷取期間取得的結構化資料。

includeReferences

boolean

指出是否應包含從此來源擷取的資料的參考。

kind string:

indexedSql

知識來源的類型。

knowledgeSourceName

string

參數套用的索引名稱。

maxOutputDocuments

integer (int32)

限制從此知識來源回傳的文件數量。

rerankerThreshold

number (float)

所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。

KnowledgeBaseActivityRecordType

活動紀錄的類型。

值 Description
searchIndex

搜尋索引檢索活動。

azureBlob

Azure Blob retrieval activity.

indexedSharePoint

索引 SharePoint 檢索活動。

indexedOneLake

索引 OneLake 檢索活動。

web

網路檢索活動。

remoteSharePoint

遠端 SharePoint 檢索活動。

workIQ

WorkIQ 檢索活動。

fabricDataAgent

Fabric Data Agent 檢索活動。

fabricOntology

Fabric 本體檢索活動。

mcpServer

MCP 伺服器檢索活動。

file

檔案檢索活動。

indexedSql

索引 SQL 檢索活動。

modelQueryPlanning

LLM 查詢規劃活動。

modelAnswerSynthesis

LLM 答案綜合活動。

modelWebSummarization

大型語言模型網頁摘要活動。

agenticReasoning

行動推理活動。

KnowledgeBaseAgenticReasoningActivityRecord

代表代理推理活動記錄。

名稱 類型 Description
elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

id

integer (int32)

活動記錄的識別碼。

reasoningTokens

integer (int32)

代理推理的輸入記號數目。

retrievalReasoningEffort KnowledgeRetrievalReasoningEffort:

檢索推理努力的配置。

type string:

agenticReasoning

活動記錄的類型。

warning

string

警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。

KnowledgeBaseAzureBlobActivityArguments

代表執行 Azure Blob 擷取活動時所使用的引數。

名稱 類型 Description
search

string

用來查詢 Blob 內容的搜尋字串。

KnowledgeBaseAzureBlobActivityRecord

代表 Azure Blob 擷取活動記錄。

名稱 類型 Description
azureBlobArguments

KnowledgeBaseAzureBlobActivityArguments

擷取活動的 Azure Blob 引數。

count

integer (int32)

檢索到的足夠相關的文件計數,足以通過重新排名閾值。

elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

id

integer (int32)

活動記錄的識別碼。

imageServing

ImageServingStatistics

關於此檢索活動影像服務的統計資料

knowledgeSourceName

string

擷取活動的知識來源。

queryTime

string (date-time)

此擷取活動的查詢時間。

type string:

azureBlob

活動記錄的類型。

warning

string

警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。

KnowledgeBaseAzureBlobReference

代表 Azure Blob 儲存體檔參考。

名稱 類型 Description
activitySource

integer (int32)

參考的來源活動 ID。

blobUrl

string

參考的 Blob URL。

id

string

參考的 ID。

rerankerScore

number (float)

文件參考的重新排名者分數。

searchSensitivityLabelInfo

PurviewSensitivityLabelInfo

參考文獻的敏感度標籤資訊。

sourceData

參考資料的來源資料。

type string:

azureBlob

參考的類型。

KnowledgeBaseErrorAdditionalInfo

資源管理錯誤其他資訊。

名稱 類型 Description
info

其他資訊。

type

string

其他信息類型。

KnowledgeBaseErrorDetail

錯誤詳情

名稱 類型 Description
additionalInfo

KnowledgeBaseErrorAdditionalInfo[]

錯誤的其他資訊。

code

string

錯誤碼。

details

KnowledgeBaseErrorDetail[]

錯誤詳情

message

string

錯誤訊息。

target

string

錯誤目標。

KnowledgeBaseFabricDataAgentActivityArguments

代表 Fabric Data Agent 檢索活動所使用的參數。

名稱 類型 Description
search

string

用於查詢 Fabric Data Agent 知識來源的搜尋字串。

KnowledgeBaseFabricDataAgentActivityRecord

代表 Fabric Data Agent 的檢索活動紀錄。

名稱 類型 Description
count

integer (int32)

檢索到的足夠相關的文件計數,足以通過重新排名閾值。

elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

fabricDataAgentArguments

KnowledgeBaseFabricDataAgentActivityArguments

Fabric Data Agent 為檢索活動提供參數。

id

integer (int32)

活動記錄的識別碼。

imageServing

ImageServingStatistics

關於此檢索活動影像服務的統計資料

knowledgeSourceName

string

擷取活動的知識來源。

queryTime

string (date-time)

此擷取活動的查詢時間。

type string:

fabricDataAgent

活動記錄的類型。

warning

string

警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。

KnowledgeBaseFabricDataAgentReference

代表 Fabric Data Agent 文件參考。

名稱 類型 Description
activitySource

integer (int32)

參考的來源活動 ID。

dataAgentId

string

Fabric 資料代理 ID。

id

string

參考的 ID。

rerankerScore

number (float)

文件參考的重新排名者分數。

sourceData

參考資料的來源資料。

type string:

fabricDataAgent

參考的類型。

workspaceId

string

Fabric 工作區的 ID。

KnowledgeBaseFabricOntologyActivityArguments

代表 Fabric 本體檢索活動所用的論點。

名稱 類型 Description
search

string

用於查詢 Fabric 本體知識來源的搜尋字串。

KnowledgeBaseFabricOntologyActivityRecord

代表 Fabric 本體檢索活動紀錄。

名稱 類型 Description
count

integer (int32)

檢索到的足夠相關的文件計數,足以通過重新排名閾值。

elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

fabricOntologyArguments

KnowledgeBaseFabricOntologyActivityArguments

Fabric 本體論對檢索活動的論證。

id

integer (int32)

活動記錄的識別碼。

imageServing

ImageServingStatistics

關於此檢索活動影像服務的統計資料

knowledgeSourceName

string

擷取活動的知識來源。

queryTime

string (date-time)

此擷取活動的查詢時間。

type string:

fabricOntology

活動記錄的類型。

warning

string

警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。

KnowledgeBaseFabricOntologyReference

代表 Fabric 本體文件的參考。

名稱 類型 Description
activitySource

integer (int32)

參考的來源活動 ID。

id

string

參考的 ID。

ontologyId

string

工作空間內的本體 ID。

rerankerScore

number (float)

文件參考的重新排名者分數。

sourceData

參考資料的來源資料。

type string:

fabricOntology

參考的類型。

workspaceId

string

Fabric 工作區的 ID。

KnowledgeBaseFileActivityArguments

代表檔案擷取活動所使用的參數。

名稱 類型 Description
search

string

用於查詢檔案內容的搜尋字串。

KnowledgeBaseFileActivityRecord

代表檔案檢索活動紀錄。

名稱 類型 Description
count

integer (int32)

檢索到的足夠相關的文件計數,足以通過重新排名閾值。

elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

fileArguments

KnowledgeBaseFileActivityArguments

檔案中擷取活動的論點。

id

integer (int32)

活動記錄的識別碼。

imageServing

ImageServingStatistics

關於此檢索活動影像服務的統計資料

knowledgeSourceName

string

擷取活動的知識來源。

queryTime

string (date-time)

此擷取活動的查詢時間。

type string:

file

活動記錄的類型。

warning

string

警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。

KnowledgeBaseFileReference

代表檔案文件參考。

名稱 類型 Description
activitySource

integer (int32)

參考的來源活動 ID。

docName

string

參考文件名稱。

id

string

參考的 ID。

rerankerScore

number (float)

文件參考的重新排名者分數。

sourceData

參考資料的來源資料。

type string:

file

參考的類型。

KnowledgeBaseImageContent

圖片內容。

名稱 類型 Description
url

string (uri)

影像的網址。

KnowledgeBaseIndexedOneLakeActivityArguments

代表索引 OneLake 檢索活動所使用的參數。

名稱 類型 Description
search

string

用於查詢索引 OneLake 內容的搜尋字串。

KnowledgeBaseIndexedOneLakeActivityRecord

代表一個索引的 OneLake 檢索活動紀錄。

名稱 類型 Description
count

integer (int32)

檢索到的足夠相關的文件計數,足以通過重新排名閾值。

elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

id

integer (int32)

活動記錄的識別碼。

imageServing

ImageServingStatistics

關於此檢索活動影像服務的統計資料

indexedOneLakeArguments

KnowledgeBaseIndexedOneLakeActivityArguments

索引 OneLake 的檢索活動論證。

knowledgeSourceName

string

擷取活動的知識來源。

queryTime

string (date-time)

此擷取活動的查詢時間。

type string:

indexedOneLake

活動記錄的類型。

warning

string

警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。

KnowledgeBaseIndexedOneLakeReference

代表一個索引 OneLake 文件參考。

名稱 類型 Description
activitySource

integer (int32)

參考的來源活動 ID。

docUrl

string

參考的文件 URL。

id

string

參考的 ID。

rerankerScore

number (float)

文件參考的重新排名者分數。

searchSensitivityLabelInfo

PurviewSensitivityLabelInfo

參考文獻的敏感度標籤資訊。

sourceData

參考資料的來源資料。

type string:

indexedOneLake

參考的類型。

KnowledgeBaseIndexedSharePointActivityArguments

代表索引 SharePoint 檢索活動所使用的參數。

名稱 類型 Description
search

string

用來查詢已索引的 SharePoint 內容的搜尋字串。

KnowledgeBaseIndexedSharePointActivityRecord

代表一個索引化的 SharePoint 檢索活動紀錄。

名稱 類型 Description
count

integer (int32)

檢索到的足夠相關的文件計數,足以通過重新排名閾值。

elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

id

integer (int32)

活動記錄的識別碼。

imageServing

ImageServingStatistics

關於此檢索活動影像服務的統計資料

indexedSharePointArguments

KnowledgeBaseIndexedSharePointActivityArguments

索引的 SharePoint 參數用於檢索活動。

knowledgeSourceName

string

擷取活動的知識來源。

queryTime

string (date-time)

此擷取活動的查詢時間。

type string:

indexedSharePoint

活動記錄的類型。

warning

string

警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。

KnowledgeBaseIndexedSharePointReference

代表一個索引化的 SharePoint 文件參考。

名稱 類型 Description
activitySource

integer (int32)

參考的來源活動 ID。

docUrl

string

參考的文件 URL。

id

string

參考的 ID。

rerankerScore

number (float)

文件參考的重新排名者分數。

searchSensitivityLabelInfo

PurviewSensitivityLabelInfo

參考文獻的敏感度標籤資訊。

sourceData

參考資料的來源資料。

type string:

indexedSharePoint

參考的類型。

KnowledgeBaseIndexedSqlActivityArguments

代表索引 SQL 檢索活動所使用的參數。

名稱 類型 Description
search

string

用來查詢索引 SQL 內容的搜尋字串。

KnowledgeBaseIndexedSqlActivityRecord

代表一個索引化的 SQL 檢索活動記錄。

名稱 類型 Description
count

integer (int32)

檢索到的足夠相關的文件計數,足以通過重新排名閾值。

elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

id

integer (int32)

活動記錄的識別碼。

imageServing

ImageServingStatistics

關於此檢索活動影像服務的統計資料

indexedSqlArguments

KnowledgeBaseIndexedSqlActivityArguments

索引的 SQL 參數用於擷取活動。

knowledgeSourceName

string

擷取活動的知識來源。

queryTime

string (date-time)

此擷取活動的查詢時間。

type string:

indexedSql

活動記錄的類型。

warning

string

警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。

KnowledgeBaseIndexedSqlReference

代表一個 Azure SQL 文件參考。

名稱 類型 Description
activitySource

integer (int32)

參考的來源活動 ID。

docUrl

string

參考的文件 URL。

id

string

參考的 ID。

rerankerScore

number (float)

文件參考的重新排名者分數。

sourceData

參考資料的來源資料。

type string:

indexedSql

參考的類型。

KnowledgeBaseMcpServerActivityArguments

代表 MCP 伺服器擷取活動所使用的參數。

名稱 類型 Description
toolArguments

參數會傳給 MCP 伺服器工具。

toolName

string

用於檢索活動的 MCP 伺服器工具名稱。

KnowledgeBaseMcpServerActivityRecord

代表 MCP 伺服器檢索活動紀錄。

名稱 類型 Description
count

integer (int32)

檢索到的足夠相關的文件計數,足以通過重新排名閾值。

elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

id

integer (int32)

活動記錄的識別碼。

imageServing

ImageServingStatistics

關於此檢索活動影像服務的統計資料

knowledgeSourceName

string

擷取活動的知識來源。

mcpServerArguments

KnowledgeBaseMcpServerActivityArguments

MCP 伺服器為擷取活動提供參數。

queryTime

string (date-time)

此擷取活動的查詢時間。

type string:

mcpServer

活動記錄的類型。

warning

string

警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。

KnowledgeBaseMcpServerReference

代表 MCP 伺服器文件參考。

名稱 類型 Description
activitySource

integer (int32)

參考的來源活動 ID。

id

string

參考的 ID。

rerankerScore

number (float)

文件參考的重新排名者分數。

sourceData

參考資料的來源資料。

title

string

MCP 伺服器工具的標題。

toolName

string

產生參考的 MCP 伺服器工具名稱。

type string:

mcpServer

參考的類型。

KnowledgeBaseMessage

自然語言訊息樣式物件。

名稱 類型 Description
content KnowledgeBaseMessageContent[]:

訊息的內容。

role

string

工具回應的作用。

KnowledgeBaseMessageContentType

訊息內容的類型。

值 Description
text

短信內容類型。

image

圖像訊息內容類型。

KnowledgeBaseMessageImageContent

影像訊息類型。

名稱 類型 Description
image

KnowledgeBaseImageContent

圖片內容。

type string:

image

訊息的類型

KnowledgeBaseMessageTextContent

簡訊類型。

名稱 類型 Description
text

string

文字內容。

type string:

text

訊息的類型

KnowledgeBaseModelAnswerSynthesisActivityRecord

代表 LLM 答案綜合活動記錄。

名稱 類型 Description
elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

id

integer (int32)

活動記錄的識別碼。

inputTokens

integer (int32)

LLM 答案合成活動的輸入權杖數目。

modelName

string

LLM 答案綜合活動所用模型名稱。

outputTokens

integer (int32)

LLM 答案綜合活動的輸出權杖數目。

type string:

modelAnswerSynthesis

活動記錄的類型。

warning

string

警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。

KnowledgeBaseModelQueryPlanningActivityRecord

代表 LLM 查詢規劃活動記錄。

名稱 類型 Description
elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

id

integer (int32)

活動記錄的識別碼。

inputTokens

integer (int32)

LLM 查詢規劃活動的輸入權杖數目。

modelName

string

用於LLM查詢規劃活動的模型名稱。

outputTokens

integer (int32)

LLM 查詢規劃活動的輸出權杖數目。

type string:

modelQueryPlanning

活動記錄的類型。

warning

string

警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。

KnowledgeBaseModelWebSummarizationActivityRecord

代表一個大型語言模型(LLM)網頁摘要活動記錄。

名稱 類型 Description
elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

id

integer (int32)

活動記錄的識別碼。

inputTokens

integer (int32)

LLM 網頁摘要活動的輸入標記數量。

modelName

string

LLM 網頁摘要活動所使用的模型名稱。

outputTokens

integer (int32)

LLM 網頁摘要活動的輸出代幣數量。

type string:

modelWebSummarization

活動記錄的類型。

warning

string

警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。

KnowledgeBaseReferenceType

參照的類型。

值 Description
searchIndex

搜尋索引文件參考。

azureBlob

Azure Blob document reference.

indexedSharePoint

索引化的 SharePoint 文件參考。

indexedOneLake

索引 OneLake 文件參考。

web

網頁文件參考。

remoteSharePoint

遠端 SharePoint 文件參考。

workIQ

工作智商文件參考。

fabricDataAgent

Fabric 資料代理文件參考。

fabricOntology

Fabric 本體文件參考。

mcpServer

MCP 伺服器文件參考。

file

檔案文件參考。

indexedSql

索引 SQL 文件參考。

KnowledgeBaseRemoteSharePointActivityArguments

代表遠端 SharePoint 檢索活動所使用的參數。

名稱 類型 Description
filterExpressionAddOn

string

篩選式外掛用於擷取活動。

search

string

用來查詢遠端 SharePoint 知識來源的搜尋字串。

KnowledgeBaseRemoteSharePointActivityRecord

代表遠端 SharePoint 檢索活動紀錄。

名稱 類型 Description
count

integer (int32)

檢索到的足夠相關的文件計數,足以通過重新排名閾值。

elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

id

integer (int32)

活動記錄的識別碼。

imageServing

ImageServingStatistics

關於此檢索活動影像服務的統計資料

knowledgeSourceName

string

擷取活動的知識來源。

queryTime

string (date-time)

此擷取活動的查詢時間。

remoteSharePointArguments

KnowledgeBaseRemoteSharePointActivityArguments

遠端 SharePoint 參數用於擷取活動。

type string:

remoteSharePoint

活動記錄的類型。

warning

string

警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。

KnowledgeBaseRemoteSharePointReference

代表遠端 SharePoint 文件參考。

名稱 類型 Description
activitySource

integer (int32)

參考的來源活動 ID。

id

string

參考的 ID。

rerankerScore

number (float)

文件參考的重新排名者分數。

searchSensitivityLabelInfo

PurviewSensitivityLabelInfo

參考文獻的敏感度標籤資訊。

sourceData

參考資料的來源資料。

type string:

remoteSharePoint

參考的類型。

webUrl

string (uri)

參考資料的來源 URL。

KnowledgeBaseRetrievalRequest

擷取要求的輸入合約。

名稱 類型 Description
includeActivity

boolean

表示擷取結果應包含活動資訊。

intents KnowledgeRetrievalIntent[]:

KnowledgeRetrievalSemanticIntent[]

在沒有模型查詢規劃的情況下執行的預期查詢清單。

knowledgeSourceParams KnowledgeSourceParams[]:

知識來源的執行階段參數清單。

maxOutputDocuments

integer (int32)

限制輸出中最大文件數量。

maxOutputSize

integer (int32)

限制輸出中內容的大小上限。

maxOutputSizeInTokens

integer (int32)

限制輸出中內容的大小上限。

maxRuntimeInSeconds

integer (int32)

執行時間上限 (以秒為單位)。

messages

KnowledgeBaseMessage[]

聊天訊息樣式輸入的清單。

outputMode

KnowledgeRetrievalOutputMode

此擷取的輸出組態。

retrievalReasoningEffort KnowledgeRetrievalReasoningEffort:

檢索推理努力的配置。

KnowledgeBaseRetrievalResponse

擷取回應的輸出合約。

名稱 類型 Description
activity KnowledgeBaseActivityRecord[]:

用於追蹤進度和計費影響的活動記錄。

references KnowledgeBaseReference[]:

回應中使用的擷取資料參考。

response

KnowledgeBaseMessage[]

回覆訊息。

responseSensitivityLabelInfo

PurviewSensitivityLabelInfo

整體反應的敏感度標籤資訊。

KnowledgeBaseSearchIndexActivityArguments

代表執行搜尋索引擷取活動時所使用的引數。

名稱 類型 Description
filter

string

篩選字串。

search

string

用來查詢搜尋索引的搜尋字串。

searchFields

SearchIndexFieldReference[]

搜尋的欄位是哪些。

semanticConfigurationName

string

搜尋索引中使用了什麼語意配置?

sourceDataFields

SearchIndexFieldReference[]

選取了哪些欄位進行搜尋。

KnowledgeBaseSearchIndexActivityRecord

代表搜尋索引擷取活動記錄。

名稱 類型 Description
count

integer (int32)

檢索到的足夠相關的文件計數,足以通過重新排名閾值。

elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

id

integer (int32)

活動記錄的識別碼。

imageServing

ImageServingStatistics

關於此檢索活動影像服務的統計資料

knowledgeSourceName

string

擷取活動的知識來源。

queryTime

string (date-time)

此擷取活動的查詢時間。

searchIndexArguments

KnowledgeBaseSearchIndexActivityArguments

擷取活動的搜尋索引引數。

type string:

searchIndex

活動記錄的類型。

warning

string

警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。

KnowledgeBaseSearchIndexReference

代表 Azure 搜尋服務檔參考。

名稱 類型 Description
activitySource

integer (int32)

參考的來源活動 ID。

docKey

string

參考的文件索引鍵。

id

string

參考的 ID。

rerankerScore

number (float)

文件參考的重新排名者分數。

searchSensitivityLabelInfo

PurviewSensitivityLabelInfo

參考文獻的敏感度標籤資訊。

sourceData

參考資料的來源資料。

type string:

searchIndex

參考的類型。

KnowledgeBaseWebActivityArguments

代表網頁檢索活動所用的論點。

名稱 類型 Description
count

integer (int32)

回傳的網頁結果數量。

freshness

string

取回活動的新鮮度。

language

string

取回活動的語言。

market

string

這是回收活動的市場。

search

string

用來查詢網路的搜尋字串。

KnowledgeBaseWebActivityRecord

代表網路檢索活動紀錄。

名稱 類型 Description
count

integer (int32)

檢索到的足夠相關的文件計數,足以通過重新排名閾值。

elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

id

integer (int32)

活動記錄的識別碼。

imageServing

ImageServingStatistics

關於此檢索活動影像服務的統計資料

knowledgeSourceName

string

擷取活動的知識來源。

queryTime

string (date-time)

此擷取活動的查詢時間。

type string:

web

活動記錄的類型。

warning

string

警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。

webArguments

KnowledgeBaseWebActivityArguments

網路上的論點支持檢索活動。

KnowledgeBaseWebReference

代表網頁文件參照。

名稱 類型 Description
activitySource

integer (int32)

參考的來源活動 ID。

id

string

參考的 ID。

rerankerScore

number (float)

文件參考的重新排名者分數。

sourceData

參考資料的來源資料。

title

string

Web 文件的標題。

type string:

web

參考的類型。

url

string (uri)

參考資料的來源 URL。

KnowledgeBaseWorkIQActivityArguments

代表 WorkIQ 檢索活動所用的參數。

名稱 類型 Description
search

string

用來查詢 WorkIQ 知識來源的搜尋字串。

KnowledgeBaseWorkIQActivityRecord

代表 WorkIQ 檢索活動紀錄。

名稱 類型 Description
count

integer (int32)

檢索到的足夠相關的文件計數,足以通過重新排名閾值。

elapsedMs

integer (int32)

擷取活動的經過時間 (以毫秒為單位)。

error

KnowledgeBaseErrorDetail

說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。

id

integer (int32)

活動記錄的識別碼。

imageServing

ImageServingStatistics

關於此檢索活動影像服務的統計資料

knowledgeSourceName

string

擷取活動的知識來源。

queryTime

string (date-time)

此擷取活動的查詢時間。

type string:

workIQ

活動記錄的類型。

warning

string

警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。

workIQArguments

KnowledgeBaseWorkIQActivityArguments

WorkIQ 關於檢索活動的論證。

KnowledgeBaseWorkIQReference

代表 WorkIQ 文件引用。

名稱 類型 Description
activitySource

integer (int32)

參考的來源活動 ID。

attributions

WorkIQAttribution[]

參考文獻的出處。

id

string

參考的 ID。

rerankerScore

number (float)

文件參考的重新排名者分數。

sourceData

參考資料的來源資料。

type string:

workIQ

參考的類型。

KnowledgeRetrievalIntentType

要使用的知識庫組態類型。

值 Description
semantic

自然語言語意查詢意圖。

KnowledgeRetrievalLowReasoningEffort

以低推理工作量運行知識檢索。

名稱 類型 Description
kind string:

low

那種推理努力。

KnowledgeRetrievalMediumReasoningEffort

以中等推理努力運行知識檢索。

名稱 類型 Description
kind string:

medium

那種推理努力。

KnowledgeRetrievalMinimalReasoningEffort

以最少的推理工作執行知識檢索。

名稱 類型 Description
kind string:

minimal

那種推理努力。

KnowledgeRetrievalOutputMode

此擷取的輸出組態。

值 Description
extractiveData

直接從知識來源傳回資料,無需生成式變更。

answerSynthesis

合成回應承載的答案。

KnowledgeRetrievalReasoningEffortKind

擷取期間要使用的工作量。

值 Description
minimal

不會執行任何來源選取、查詢規劃或反覆搜尋。

low

在檢索期間使用低推理。

medium

在檢索過程中使用適量的推理。

KnowledgeRetrievalSemanticIntent

語意查詢意圖。

名稱 類型 Description
search

string

要執行的語意查詢

type string:

semantic

意圖的類型。

KnowledgeSourceKind

知識來源的那種。

值 Description
searchIndex

從搜尋索引讀取資料的知識來源。

azureBlob

從 Azure Blob 儲存體讀取資料並將其擷取至搜尋索引的知識來源。

indexedSharePoint

一個讀取索引 SharePoint 資料的知識來源。

indexedOneLake

一個讀取索引 OneLake 資料的知識來源。

indexedSql

一個知識來源,能從 Azure SQL Database 或 SQL 受管理執行個體 擷取並匯入資料到搜尋索引。

web

一個能從網路讀取資料的知識來源。

remoteSharePoint

一個能從遠端 SharePoint 讀取資料的知識來源。

workIQ

一個讀取工作智商數據的知識來源

file

一個支援直接檔案上傳與索引的知識來源。

mcpServer

一個由MCP(模型情境協定)伺服器支持的知識來源。

fabricDataAgent

一個從 Fabric 資料代理擷取資料的知識來源。

fabricOntology

一個從 Microsoft Fabric 本體論中擷取資料的知識來源。

McpServerKnowledgeSourceParams

指定 MCP 伺服器知識來源的執行參數

名稱 類型 Description
alwaysQuerySource

boolean

表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。

enableImageServing

boolean

指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。

failOnError

boolean

表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。

includeReferenceSourceData

boolean

指出參照是否應該在其承載中包含擷取期間取得的結構化資料。

includeReferences

boolean

指出是否應包含從此來源擷取的資料的參考。

kind string:

mcpServer

知識來源的類型。

knowledgeSourceName

string

參數套用的索引名稱。

maxOutputDocuments

integer (int32)

限制從此知識來源回傳的文件數量。

rerankerThreshold

number (float)

所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。

PurviewSensitivityLabelInfo

關於套用於文件上的敏感性標籤資訊

名稱 類型 Description
color

string

如果已設定,UI 應該針對標籤顯示的色彩。

displayName

string

敏感度標籤的顯示名稱。

isEncrypted

boolean

指出敏感度標籤是否強制執行加密。

priority

integer (int32)

套用敏感度標籤的優先順序。

sensitivityLabelId

string

敏感度標籤的識別碼。

toolTip

string

應在 UI 中針對標籤顯示的工具提示。

RemoteSharePointKnowledgeSourceParams

指定遠端 SharePoint 知識來源的執行階段參數

名稱 類型 Description
alwaysQuerySource

boolean

表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。

enableImageServing

boolean

指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。

failOnError

boolean

表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。

filterExpressionAddOn

string

套用至 SharePoint 資料來源的篩選條件。 它必須在關鍵字查詢語言語法中指定。 它將與知識來源定義中指定的篩選運算式結合。

includeReferenceSourceData

boolean

指出參照是否應該在其承載中包含擷取期間取得的結構化資料。

includeReferences

boolean

指出是否應包含從此來源擷取的資料的參考。

kind string:

remoteSharePoint

知識來源的類型。

knowledgeSourceName

string

參數套用的索引名稱。

maxOutputDocuments

integer (int32)

限制從此知識來源回傳的文件數量。

rerankerThreshold

number (float)

所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。

SearchIndexFieldReference

搜尋索引的欄位參考。

名稱 類型 Description
name

string

欄位的名稱。

SearchIndexKnowledgeSourceParams

指定搜尋索引知識來源的執行階段參數

名稱 類型 Description
alwaysQuerySource

boolean

表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。

enableImageServing

boolean

指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。

failOnError

boolean

表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。

filterAddOn

string

套用至索引的篩選條件 (例如,'State eq VA')。

includeReferenceSourceData

boolean

指出參照是否應該在其承載中包含擷取期間取得的結構化資料。

includeReferences

boolean

指出是否應包含從此來源擷取的資料的參考。

kind string:

searchIndex

知識來源的類型。

knowledgeSourceName

string

參數套用的索引名稱。

maxOutputDocuments

integer (int32)

限制從此知識來源回傳的文件數量。

rerankerThreshold

number (float)

所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。

WebKnowledgeSourceParams

指定 Web 知識來源的執行階段參數

名稱 類型 Description
alwaysQuerySource

boolean

表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。

count

integer (int32)

要傳回的 Web 結果數目。

enableImageServing

boolean

指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。

failOnError

boolean

表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。

freshness

string

網路結果的新鮮度。

includeReferenceSourceData

boolean

指出參照是否應該在其承載中包含擷取期間取得的結構化資料。

includeReferences

boolean

指出是否應包含從此來源擷取的資料的參考。

kind string:

web

知識來源的類型。

knowledgeSourceName

string

參數套用的索引名稱。

language

string

網路結果的語言。

market

string

網絡結果的市場。

maxOutputDocuments

integer (int32)

限制從此知識來源回傳的文件數量。

rerankerThreshold

number (float)

所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。

WorkIQAttribution

WorkIQ 參考資料的歸屬資訊。

名稱 類型 Description
seeMoreWebUrl

string (uri)

署名網址。

WorkIQKnowledgeSourceParams

指定 WorkIQ 知識來源的執行時參數

名稱 類型 Description
alwaysQuerySource

boolean

表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。

enableImageServing

boolean

指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。

failOnError

boolean

表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。

includeReferenceSourceData

boolean

指出參照是否應該在其承載中包含擷取期間取得的結構化資料。

includeReferences

boolean

指出是否應包含從此來源擷取的資料的參考。

kind string:

workIQ

知識來源的類型。

knowledgeSourceName

string

參數套用的索引名稱。

maxOutputDocuments

integer (int32)

限制從此知識來源回傳的文件數量。

rerankerThreshold

number (float)

所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。